Subject: bug#23007: 24.5; buggy interactive search with middle click

From: Drew Adams <[email-masked]>
Date: Mon, 29 May 2017 21:44:40 -0700 (PDT)

> PS: I don't immediately see a reason to check for the (mark) in the
> condition. I tested by deactivating the mark explicitly, and setting
> mark-even-if-inactive to nil in the window, but it still worked
> correctly.

You probably don't need it.  Sorry if I confused things, again.

[I use it because my code needs to work also in older Emacs versions.
So it first calls `gui-set-selection' to set the primary selection
on the region (when there is a mark).  And it `deactivates-mark'
before then calling `isearch-yank-x-selection'.]